For the complete documentation index, see llms.txt. This page is also available as Markdown.

Instance Type Capacity

Controlling the capacity of each instance type

Get the details of all your instance type capacities under a host capacity template

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostCapacityTemplateIdstringRequired

The ID of the hostCapacityTemplate

Header parameters
RANGED-DATAstringOptional

Example header and default range: RANGED-DATA:start=0,results=25

Responses
200

OK

application/json
idstringRead-onlyRequired

The ID of the Instance Type Capacity

hostCapacityTemplateIdstringRead-onlyRequired

The ID of the Host Capacity Template to which this element is linked

providerIdinteger · integerRequired

Cloud provider ID. For a list of cloud providers see GET /v3/cloud/provider

instanceTypestringRequired

The instance type to which the capacity applies. This is the name of instance types found at various cloud providers. See GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)

isVirtualinteger · integerRead-onlyRequired

1 if the instance type is a virtual server, 0 if it is a bare metal server

capacityinteger · integerRequired

The capacity of the instance type

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this element is created

get/v3/hostCapacityTemplate/{hostCapacityTemplateId}/instanceTypeCapacity

Create an instance type capacity for the specified hostCapacityTemplateId

post
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
hostCapacityTemplateIdstringRequired

The ID of the hostCapacityTemplate

Body
idstringRead-onlyRequired

The ID of the Instance Type Capacity

hostCapacityTemplateIdstringRead-onlyRequired

The ID of the Host Capacity Template to which this element is linked

providerIdinteger · integerRequired

Cloud provider ID. For a list of cloud providers see GET /v3/cloud/provider

instanceTypestringRequired

The instance type to which the capacity applies. This is the name of instance types found at various cloud providers. See GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)

isVirtualinteger · integerRead-onlyRequired

1 if the instance type is a virtual server, 0 if it is a bare metal server

capacityinteger · integerRequired

The capacity of the instance type

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this element is created

Responses
200

OK

application/json
idstringRead-onlyRequired

The ID of the Instance Type Capacity

hostCapacityTemplateIdstringRead-onlyRequired

The ID of the Host Capacity Template to which this element is linked

providerIdinteger · integerRequired

Cloud provider ID. For a list of cloud providers see GET /v3/cloud/provider

instanceTypestringRequired

The instance type to which the capacity applies. This is the name of instance types found at various cloud providers. See GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)

isVirtualinteger · integerRead-onlyRequired

1 if the instance type is a virtual server, 0 if it is a bare metal server

capacityinteger · integerRequired

The capacity of the instance type

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this element is created

post/v3/hostCapacityTemplate/{hostCapacityTemplateId}/instanceTypeCapacity

Get the details of the given instance type capacity

get
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
instanceTypeCapacityIdstringRequired

The Id of the instance type capacity

Responses
200

OK

application/json
idstringRead-onlyRequired

The ID of the Instance Type Capacity

hostCapacityTemplateIdstringRead-onlyRequired

The ID of the Host Capacity Template to which this element is linked

providerIdinteger · integerRequired

Cloud provider ID. For a list of cloud providers see GET /v3/cloud/provider

instanceTypestringRequired

The instance type to which the capacity applies. This is the name of instance types found at various cloud providers. See GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)

isVirtualinteger · integerRead-onlyRequired

1 if the instance type is a virtual server, 0 if it is a bare metal server

capacityinteger · integerRequired

The capacity of the instance type

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this element is created

get/v3/instanceTypeCapacity/{instanceTypeCapacityId}

Update given host capacity template

put
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
instanceTypeCapacityIdstringRequired

The Id of the host capacity template

Body
idstringRead-onlyRequired

The ID of the Instance Type Capacity

hostCapacityTemplateIdstringRead-onlyRequired

The ID of the Host Capacity Template to which this element is linked

providerIdinteger · integerRequired

Cloud provider ID. For a list of cloud providers see GET /v3/cloud/provider

instanceTypestringRequired

The instance type to which the capacity applies. This is the name of instance types found at various cloud providers. See GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)

isVirtualinteger · integerRead-onlyRequired

1 if the instance type is a virtual server, 0 if it is a bare metal server

capacityinteger · integerRequired

The capacity of the instance type

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this element is created

Responses
200

OK

application/json
idstringRead-onlyRequired

The ID of the Instance Type Capacity

hostCapacityTemplateIdstringRead-onlyRequired

The ID of the Host Capacity Template to which this element is linked

providerIdinteger · integerRequired

Cloud provider ID. For a list of cloud providers see GET /v3/cloud/provider

instanceTypestringRequired

The instance type to which the capacity applies. This is the name of instance types found at various cloud providers. See GET /cloud/instanceType (for virtual servers) and GET /host/instanceType (for bare metal servers)

isVirtualinteger · integerRead-onlyRequired

1 if the instance type is a virtual server, 0 if it is a bare metal server

capacityinteger · integerRequired

The capacity of the instance type

createdAtinteger · integerRead-onlyRequired

The Unix timestamp at which this element is created

put/v3/instanceTypeCapacity/{instanceTypeCapacityId}

Delete given host capacity template

delete
Authorizations
PRIVATE-TOKENstringRequired
Path parameters
instanceTypeCapacityIdstringRequired

The Id of the host capacity template

Responses
204

No Content

No content

delete/v3/instanceTypeCapacity/{instanceTypeCapacityId}

No content

Last updated

Was this helpful?